<template>
  <div class="hello">
    <form class="text-center border border-light p-2">
      <div class="form-group">
        <input type="text" ref="textMensaje" class="form-control" name="textMensaje" id="textMensaje" aria-describedby="emailHelp" placeholder="Ingresa un mensaje" />
      </div>
      <div class="form-group">
      <input type="text" ref="textUsuario" class="form-control" name="textUsuario" id="textUsuario" aria-describedby="emailHelp" placeholder="Ingresa tu nombre" />
      </div>
      <button type="submit" v-on:click.stop.prevent="handleAgregarContenido()" class="btn btn-primary">Guardar</button>
    </form>
  </div>
</template>
<script>
export default {
  name: 'HelloWorld',
  props: [ 'agregarContenido' ],
  methods: {
    handleAgregarContenido: function() {
        if(this.$refs.textMensaje.value !== ""){
            var nota = {
              notaId: 1,
              notaContent: this.$refs.textMensaje.value,
              notaUser: this.$refs.textUsuario.value
            };
            if(this.$refs.textUsuario.value !== ""){
                this.$refs.textUsuario.disabled = true;
            }
            this.$refs.textMensaje.value = "";
            this.$refs.textMensaje.focus();
            this.$root.$emit('CNAgregarContenido', nota)
        }
    }
  }
}
</script>
